package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.OpInspectionTask;

import java.util.List;

/**
 * 巡检任务Service接口
 *
 * @author ruoyi
 * @date 2024-08-29
 */
public interface IOpInspectionPlanService {
    /**
     * 查询巡检任务
     *
     * @param id 巡检任务主键
     * @return 巡检任务
     */
    OpInspectionTask selectOpInspectionPlanById(Long id);

    /**
     * 查询巡检任务列表
     *
     * @param opInspectionTask 巡检任务
     * @return 巡检任务集合
     */
    List<OpInspectionTask> selectOpInspectionPlanList(OpInspectionTask opInspectionTask);

    /**
     * 新增巡检任务
     *
     * @param opInspectionTask 巡检任务
     * @return 结果
     */
    int insertOpInspectionPlan(OpInspectionTask opInspectionTask);

    /**
     * 修改巡检任务
     *
     * @param opInspectionTask 巡检任务
     * @return 结果
     */
    int updateOpInspectionPlan(OpInspectionTask opInspectionTask);

    /**
     * 批量删除巡检任务
     *
     * @param ids 需要删除的巡检任务主键集合
     * @return 结果
     */
    int deleteOpInspectionPlanByIds(Long[] ids);

    /**
     * 删除巡检任务信息
     *
     * @param id 巡检任务主键
     * @return 结果
     */
    int deleteOpInspectionPlanById(Long id);
}
